Subject: Re: [PATCH] powerpc:prom Export device tree physical address via proc

From: Timur Tabi <[email-masked]>
Date: Tue, 13 Jul 2010 13:55:25 -0500

Matthew McClintock wrote:

> +	if (prop)
> +		prom_remove_property(node, prop);
> +		prop = of_find_property(node, "linux,devietree-end", NULL);

Either the indentation is wrong, or you're missing some braces here.

> +	if (prop)
> +		prom_remove_property(node, prop);
> +
> +	flat_dt_start = (unsigned long)virt_to_phys(initial_boot_params);
> +	flat_dt_end = (unsigned long)virt_to_phys(initial_boot_params)
> +				+ initial_boot_params->totalsize;

I think these should be u64, not unsigned long, to ensure support for 64-bit
physical addresses.